# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

# Tests are disabled.  We could run them, but they are not shipped with tar.
%global enable_tests 0
%global barename string_decoder

Name:               nodejs-string_decoder
Version:            0.10.31
Release:            %mkrel 3
Summary:            The string_decoder module from Node core

License:            MIT
URL:                https://www.npmjs.org/package/string_decoder
Source0:            http://registry.npmjs.org/string_decoder/-/string_decoder-%{version}.tgz
BuildArch:          noarch
Group:              Development/Other

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(tap)
%endif


%description
The string_decoder module from Node core.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/string_decoder
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/string_decoder

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
tap test/simple/*.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/string_decoder/



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.10.31-3.mga8
+ Revision: 1492648
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.10.31-2.mga7
+ Revision: 1265339
- Mageia 7 Mass Rebuild

* Fri May 13 2016 joequant <joequant> 0.10.31-1.mga6
+ Revision: 1014936
- imported package nodejs-string_decoder


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.31-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.31-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 21 2015 Ralph Bean <rbean@redhat.com> - 0.10.31-2
- Process feedback from package review.
- Remove Group tag.
- Remove '19' from fedora conditional.
- Use %%license macro for LICENSE
- Disable tests, since they're not shipped with the tarball.

* Wed May 20 2015 Ralph Bean <rbean@redhat.com> - 0.10.31-1
- Initial packaging for Fedora.
